.nolist
#include "ion.inc"
.list  
 .org    appbackupscreen-1
#define curpic $9DA7
 ret
 .db $BB,$6D,"zorkmod"
title:
 .db "Galxian BETA",0
size = sram
start2:
	bcall(_clrscr)
	bcall(_homeup)
	ld	hl,options
	bcall(_puts)
	bcall(_newline)
	bcall(_puts)
	bcall(_puts)
	call wait_for_key
	cp	22h
	jp z,loadship
	cp	1Ah
	jp z,loadbullet
	cp	12h
	ld	a,1	
	jp	z,changefire
	ret
start:	push ix
	bcall(_clrscr)
	bcall(_cleargbuf)
	ld	hl,galax
 	bcall(_mov9toop1)
 	bcall(_chkfindsym)
	ret c
	ld	a,b
	or	a
	ret nz
	ld	(startprog),de
 	ld	hl,$D8C
	add hl,de
	inc hl 
	inc hl
	ld	a,8
	ld	(hl),a
	inc hl
	inc hl
	ex de,hl
	pop ix
	push de
	
next_pic:
	pop de
	ld	a,(size)
	ld	b,a
	xor a
	ld	l,a
	push de
	ld	c,1
	call ionlargesprite
	push ix
	bcall(_copygbuf)
	bcall(_cleargbuf)
	
	call wait_for_key
	pop ix
	cp	09h
	jp	z,enter
	cp	0Fh
	jp	z,exiut
	jp	next_pic
exiut:
	pop de
	ret
enter:
	pop de
	push de
	ld	a,(size)
	ld	b,a
loop1:
	dec ix
	djnz loop1
	push ix
	ld	a,(size+1)
	ld	h,00
	ld	l,a
	add hl,de
	ex de,hl
	pop hl
	ld	a,(size)
	ld	b,00
	ld	c,a
	ldir	
	jp	next_pic
loadship:
	ld	ix,ship
	ld	a,7
	ld	(size),a	
	xor a
	ld	(size+1),a
	jp start
loadbullet:
	ld	ix,bullet
	ld	a,5
	ld	(size),a
	ld	a,18
	ld	(size+1),a
	jp	start
changefire:
changelives:
	ld	h,00
	push hl
	bcall(_clrscr)
	bcall(_homeup)
	pop hl
	push hl
	bcall(_disphl)
	
changelives2:
	bcall(_getcsc)
	cp	0

	jp	z,changelives2
	pop hl
	cp	04h
	jp	z,increaselives
	cp	01h
	jp	z,decreaselives
	ld	a,l
	push af
	ld	hl,galax
 	bcall(_mov9toop1)
 	bcall(_chkfindsym)
	ret c
	ld	a,b
	or	a
	ret nz
	;ld	de,(startprog)
	ld	hl,$1CD
	add hl,de
	inc hl
	inc hl
	pop	af
	ld	(hl),a
	jp	start2
increaselives:
	inc l
	jp	changelives
decreaselives:
	dec l
	jp	changelives
wait_for_key:
	bcall(_getcsc)
	cp	0
	jp	z,wait_for_key
	ret
galax:
 	.db 6,"GALAXAN2",0
options:
	.db "1) Change Ship",0
	.db "2) Change Bullet",0
	.db "3) Increase Lives",0
startprog:
	.dw 0,0
ship:
	.DB      %11111110	;7 pix block
	.DB      %11111110
	.DB      %11111110
	.DB      %11111110
	.DB      %11111110
	.DB      %11111110
	.DB      %11111110	 
	 .db      %11000110	;The X bad guy!
	 .db      %11101110
	 .db      %01111100
	 .db      %00111000
	 .db      %01111100
	 .db      %11101110
	 .db      %11000110
	.db      %10000100	;enemy
	 .db      %11001100
	 .db      %11111100
	 .db      %10000100
	 .db      %10000100
	 .db      %01001000
	 .db      %00110000
	.db	%00010000	;dot!
	.db %00000000
	.db %00000000
	.db %00000000
	.db %00000000
	.db %00000000
	.db %00000000
	.db %00000000	;ship1
	.db %00000000
	.db %01000100
	.db %01010100
	.db %01111100
	.db %11111110
	.db %11111110
	.db %00000000	;ship2
	.db %00100000
	.db %01110000	
	.db %11111000	
	.db %01010000	
	.db %00000000	
	.db %00000000	
bullet:
	.db $78
	.db $FC
	.db $FC
	.db 00h,00h
	



.end